This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 576487 - KVM: e1000 win driver causes KVM process stuck at 100 percent CPU during Windows2008x64 "Sys prep" installation.
KVM: e1000 win driver causes KVM process stuck at 100 percent CPU during Wind...
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kvm (Show other bugs)
5.4
All Linux
high Severity high
: rc
: ---
Assigned To: Gleb Natapov
Virtualization Bugs
: ZStream
Depends On:
Blocks: 556823 Rhel5KvmTier2 586958
  Show dependency treegraph
 
Reported: 2010-03-24 04:52 EDT by Oded Ramraz
Modified: 2013-01-09 17:22 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-04-28 08:55:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Windows 2008x64 "Sysprep" answer file (5.63 KB, application/octet-stream)
2010-04-14 07:15 EDT, Oded Ramraz
no flags Details

  None (edit)
Description Oded Ramraz 2010-03-24 04:52:40 EDT
Description of problem:

I'm running few Guests with Different OS ( WindowsXPx32 , Windows2003x32 , Windows2003x64 , Windows2008x32 , Windows2008x64 , Windows2008x64-R2 ) from "Sys prep" sealed templates.
Sometimes Windows2008x64 or Windows2008x64-R2 Guests are being stuck after reboot and KVM process consumes 100 percent CPU usage.

Avi Kivity ( avi@erdhat.com ) saw the problem and he noticed that it's an interrupts related issue , please consult him for the technical details.

 

Version-Release number of selected component (if applicable):

Host OS:
Linux red-vdse.qa.lab.tlv.redhat.com 2.6.18-194.el5 #1 SMP Tue Mar 16 21:52:39 EDT 2010 x86_64 x86_64 x86_64 GNU/Linux
Host CPU: 
cpuModel = Intel(R) Xeon(R) CPU 5150  @ 2.66GHz
cpuSockets = 1
cpuSpeed = 2659.997
KVM version:
kvm-83-164.el5


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Dor Laor 2010-03-24 05:56:44 EDT
Avi claims it's the rtc that does massive reinjections
Comment 2 Itamar Heim 2010-03-24 07:44:57 EDT
added to list of bugs rhev depends on
Comment 4 Gleb Natapov 2010-04-14 05:57:02 EDT
What are the steps to reproduce. What is ""Sys prep" sealed template"?
Comment 5 Oded Ramraz 2010-04-14 06:31:21 EDT
In order to reproduce this issue try to run few VM's from a Windows2008x64 "Sys prep" sealed template on the same host ( usually happens with NFS slow storage )
If you want to read about "Sysprep" technology:
http://technet.microsoft.com/en-us/library/cc721940%28WS.10%29.aspx
If you need any help with reproducing this issue, please contact me.
Comment 6 Gleb Natapov 2010-04-14 06:35:34 EDT
(In reply to comment #5)
> In order to reproduce this issue try to run few VM's from a Windows2008x64 "Sys
> prep" sealed template on the same host ( usually happens with NFS slow storage
> )
I have no idea what is ""Sys prep" sealed template".
 
> If you want to read about "Sysprep" technology:
No I don't
> http://technet.microsoft.com/en-us/library/cc721940%28WS.10%29.aspx
> If you need any help with reproducing this issue, please contact me.    
That is what I am doing! Please explain it here in steps like

1. install Windows2008x64 by running this command
2. do sys prep by running this command
3. ...
4. Profit
Comment 7 Oded Ramraz 2010-04-14 07:12:55 EDT
Detailed explanations:

1.Install Windows 2008x64 Guest by running VM with the appropriate ISO attached and boot from CD.
2.Answer all installation questions: Computer name , domain name , c.d key e.t.c
3. Seal your VM ( for detailed documentation: http://10.35.255.11/qumrawiki/QA/sysprep ).
4. Stop the VM.
5. Create template from the VM snapshot.
6. Run Guests from the sealed template with floppy attached which includes the answer files ( attached )

Still, 
I think that it would be much easier if you will come over and I'll show you how to it.
Comment 8 Oded Ramraz 2010-04-14 07:15:36 EDT
Created attachment 406475 [details]
Windows 2008x64 "Sysprep" answer file

Windows 2008x64 "Sysprep" answer file.
You'll need to edit variables like CD key , domain name , e.t.c ( marked with $ )
Comment 9 Gleb Natapov 2010-04-14 07:24:27 EDT
(In reply to comment #7)
> Detailed explanations:
> 
> 1.Install Windows 2008x64 Guest by running VM with the appropriate ISO attached
> and boot from CD.
Don't you use unattended install? Can you provide command line parameters you are using? I need to know what are devices you are using.
  
> 2.Answer all installation questions: Computer name , domain name , c.d key
> e.t.c
> 3. Seal your VM ( for detailed documentation:
> http://10.35.255.11/qumrawiki/QA/sysprep ).
> 4. Stop the VM.
> 5. Create template from the VM snapshot.
> 6. Run Guests from the sealed template with floppy attached which includes the
> answer files ( attached )
> 
> Still, 
> I think that it would be much easier if you will come over and I'll show you
> how to it.    
I will do ASAP, but we need those details in BZ anyway. My memory is short. Not even enough to remember command line you are using.
Comment 10 Oded Ramraz 2010-04-14 07:55:51 EDT
## qemu-kvm command line 

/usr/libexec/qemu-kvm -no-hpet -usb -rtc-td-hack -startdate 2010-4-14T15:19:19 -name gold -smp 1,cores=1 -k en-us -m 2048 -boot c -net nic,vlan=1,macaddr=00:1a:4a:16:95:6a,model=e1000 -net tap,vlan=1,ifname=e1000_10_1,script=no -drive file=/rhev/data-center/00000000-0000-0000-0000-000000000002/00000000-0000-0000-0000-000000000011/images/3939ea71-7acc-4a48-a594-7fbbc8961aa6/45f8d838-499e-4331-af9c-b36f817b888d,media=disk,if=ide,cache=off,index=0,serial=48-a594-7fbbc8961aa6,boot=off,format=qcow2,werror=stop -drive file=/rhev/data-center/00000000-0000-0000-0000-000000000002/00000000-0000-0000-0000-000000000012/images/11111111-1111-1111-1111-111111111111/RHEV-toolsSetup_2.2_45247.iso,media=cdrom,index=2,if=ide -fda fat:floppy:/tmp/f72cebeb-ef28-494c-aa32-f3687f34642aSYkYmc.floppy -pidfile /var/vdsm/f72cebeb-ef28-494c-aa32-f3687f34642a.pid -soundhw ac97 -spice sslpassword=,sslciphersuite=DEFAULT,sslcert=/var/vdsm/ts/certs/vdsmcert.pem,sslkey=/var/vdsm/ts/keys/vdsmkey.pem,ssldhfile=/var/vdsm/ts/keys/dh.pem,sslcafile=/var/vdsm/ts/certs/cacert.pem,host=0,secure-channels=main+inputs,ic=on,sport=5890,port=5910 -qxl 1 -cpu qemu64,+sse2 -M rhel5.5.0 -notify all -balloon none -smbios type=1,manufacturer=Red Hat,product=RHEL,version=5Server-5.5.0.2,serial=6F21AF0F-7D26-3BFE-961E-5338E61BC2D0_00:10:18:24:46:3b,uuid=f72cebeb-ef28-494c-aa32-f3687f34642a -vmchannel di:0200,unix:/var/vdsm/f72cebeb-ef28-494c-aa32-f3687f34642a.guest.socket,server -monitor unix:/var/vdsm/f72cebeb-ef28-494c-aa32-f3687f34642a.monitor.socket,server
Comment 11 Gleb Natapov 2010-04-28 08:36:33 EDT
Bug should be reproduced without e1000 nic. This nic model is not supported and I suspect it causes the hang.
Comment 12 Dor Laor 2010-04-28 08:55:11 EDT
e1000 is not supported for windows guests.

Note You need to log in before you can comment on or make changes to this bug.